Support » Plugin: Stripe Payments » European SCA and API

  • Resolved MickFrench

    (@mickfrench)


    Dear helpers 😉

    I use this plugin on many sites (more than 10) and thank you it works very fine.
    But European new laws have decided to put even more security for authorizations for control of purchases with the SCA.

    I tried the test version (stripe-payments_2.0.10t2.zip) that you offer by disabling the API as you recommend but it does not work.

    I offer downloads on my sites and after payments I only receive links with letters digits that do not contain valid address to download.

    I want to tell you that if I reactivate the API everything works normally but… on my Stripe account I am told that soon payments may be refused because they are not compatible with the SCA (the limit date was nov 15 2019 but it seems that it will be the end of 2019).
    I love your plugin I tried to change but it is the best that I have found.

    Can you help me ?

    Regards

    Mick

    The page I need help with: [log in to see the link]

Viewing 8 replies - 1 through 8 (of 8 total)
  • Plugin Contributor Alexander C.

    (@alexanderfoxc)

    Hi Mick.

    Current plugin version (2.0.12) is fully SCA-compatible. So if you disable legacy API in the settings, it should work fine.

    I’ll try to reproduce issues you’re having with downloads and get back to you shortly.

    MickFrench

    (@mickfrench)

    Thank you Alexander, but I have done yesterday what you are trying and it doesnt work…

    MickFrench

    (@mickfrench)

    I also have tested with the current version.

    Plugin Contributor Alexander C.

    (@alexanderfoxc)

    Thank you for your information.

    I was able to reproduce the issue. It is fixed in current testing version (2.0.13t1). Please install it and let me know if it’s working as expected.

    MickFrench

    (@mickfrench)

    Thank you Alexander ! I do it right now…

    MickFrench

    (@mickfrench)

    IT WORKS !!
    Thank you, it works with the latest beta test version :
    https://s-plugins.com/testing-version/
    the current version is 2.0.13t1

    (Yesterday I have tried 2.0.10.t2 which is not compatible).
    I also have disabled the API.
    Please let us know when the New API will be OK.

    Thanks a lot Alexander 😉

    Mick

    Plugin Contributor Alexander C.

    (@alexanderfoxc)

    Thank you for testing this.

    New API is ok for a few months now. This bug with download URLs was not directly related to new API. Feel free to use new API even with this testing version. Stable version with the fix will be released shortly (in a day or two from now).

    Once again, thank you for reporting the issue.

    MickFrench

    (@mickfrench)

    Glad to ear that ! 😉

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘European SCA and API’ is closed to new replies.